﻿<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net5.0</TargetFramework>
		<Description>Contains commonly-used internal configuration and functionalities for .NET Core MVC.</Description>
		<Copyright>2020</Copyright>
		<RepositoryUrl>https://devops.excentone.com/excent-one</RepositoryUrl>
		<PackageProjectUrl>https://devops.excentone.com/excent-one</PackageProjectUrl>
		<PackageIcon>eo_logo.png</PackageIcon>
		<GeneratePackageOnBuild>true</GeneratePackageOnBuild>
		<Authors>Excent One Pte Ltd</Authors>
		<Company>Excent One Pte Ltd</Company>
		<Product>Excent One Pte Ltd</Product>
		<Version>5.0.4</Version>
		<SignAssembly>true</SignAssembly>
		<DelaySign>false</DelaySign>
		<AssemblyOriginatorKeyFile>ExcentOne.AspNetCore.Mvc.snk</AssemblyOriginatorKeyFile>
		<PackageReleaseNotes>Included SkipRequireUserFullNameAttribute</PackageReleaseNotes>
	</PropertyGroup>

	<ItemGroup>
	  <None Include="..\..\eo_logo.png">
	    <Pack>True</Pack>
	    <PackagePath></PackagePath>
	  </None>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Abstractions" Version="2.2.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.ApiExplorer" Version="2.2.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Core" Version="2.2.5" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Formatters.Json" Version="2.2.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="5.0.0" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="5.0.0" />
	</ItemGroup>

	<ItemGroup>
		<FrameworkReference Include="Microsoft.AspNetCore.App" />
	</ItemGroup>
</Project>